<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: magnetometer Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('namespacemagnetometer.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">magnetometer Namespace Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">FluxgateMagnetometer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_magnetometer.html">Magnetometer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a3cbcb0ff1b345bf5ff545a3b1ed87bed"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagnetometer.html#a3cbcb0ff1b345bf5ff545a3b1ed87bed">test_write</a> ()</td></tr>
<tr class="separator:a3cbcb0ff1b345bf5ff545a3b1ed87bed"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a4244a57488711490e067dfa8b229b6e5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagnetometer.html#a4244a57488711490e067dfa8b229b6e5">level</a></td></tr>
<tr class="separator:a4244a57488711490e067dfa8b229b6e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9b0092bb693bb3064b26693c9af3fd8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagnetometer.html#ad9b0092bb693bb3064b26693c9af3fd8">mgt</a></td></tr>
<tr class="separator:ad9b0092bb693bb3064b26693c9af3fd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8df6090d40a7ca2c00ff70721263342f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagnetometer.html#a8df6090d40a7ca2c00ff70721263342f">start</a> = time.time()</td></tr>
<tr class="separator:a8df6090d40a7ca2c00ff70721263342f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a3cbcb0ff1b345bf5ff545a3b1ed87bed" name="a3cbcb0ff1b345bf5ff545a3b1ed87bed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cbcb0ff1b345bf5ff545a3b1ed87bed">&#9670;&nbsp;</a></span>test_write()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magnetometer.test_write </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a4244a57488711490e067dfa8b229b6e5" name="a4244a57488711490e067dfa8b229b6e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4244a57488711490e067dfa8b229b6e5">&#9670;&nbsp;</a></span>level</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">magnetometer.level</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad9b0092bb693bb3064b26693c9af3fd8" name="ad9b0092bb693bb3064b26693c9af3fd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9b0092bb693bb3064b26693c9af3fd8">&#9670;&nbsp;</a></span>mgt</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">magnetometer.mgt</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span>=  FluxgateMagnetometer(name=<span class="stringliteral">&#39;Fluxgate&#39;</span>, position=np.array([0, 0, 0]), orientation=np.array([1, 0, 0, 0]),</div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>                               database=<span class="stringliteral">&#39;test.db&#39;</span>, mode=1, resolution=24, sensor_range=65000., analog_range=12.,</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>                               noise_density=12., bandwidth=2., sampling_rate=10, temp_drift=(0.5, 293.15),</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>                               max_zero_error=5., max_scaling_error=0.0005, max_orthogonality_error=0.0, active=<span class="keyword">True</span>,</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>                               digital=<span class="keyword">True</span>, use_max_errors=<span class="keyword">True</span>)</div>
</div><!-- fragment -->
</div>
</div>
<a id="a8df6090d40a7ca2c00ff70721263342f" name="a8df6090d40a7ca2c00ff70721263342f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8df6090d40a7ca2c00ff70721263342f">&#9670;&nbsp;</a></span>start</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">magnetometer.start = time.time()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemagnetometer.html">magnetometer</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
